nl.topicus.jdbc.statement

## Class SingleRowWhereClauseValidator

- java.lang.Object
- - nl.topicus.jdbc.statement.SingleRowWhereClauseValidator

    public class SingleRowWhereClauseValidator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SingleRowWhereClauseValidator(MetaDataStore.TableKeyMetaData table)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isValid()`
`void` `set(String column)`
`void` `to(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleRowWhereClauseValidator

    public SingleRowWhereClauseValidator(MetaDataStore.TableKeyMetaData table)

### Method Detail

#### set

    public void set(String column)

#### to

    public void to(Object value)

#### isValid

    public boolean isValid()